FROM node:20-alpine AS build

WORKDIR /app

COPY package.json yarn.lock ./

RUN npm install

COPY src ./src

FROM node:20-alpine

WORKDIR /app

COPY --from=build /app/node_modules ./node_modules
COPY --from=build /app/src ./src

CMD ["node", "src/index.js"]
